<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('jobs', function (Blueprint $table) {
            $table->string('working_days')->nullable()->after('description');
            $table->string('working_hours')->nullable()->after('working_days');
            $table->string('accommodation')->nullable()->after('description');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('jobs', function (Blueprint $table) {
            $table->dropColumn('working_days');
            $table->dropColumn('working_hours');
            $table->dropColumn('accommodation');
        });
    }
};
